Subject: [Fot] Advance BTDC for 1296 Spit?

From: Bud Rolofson via Fot <[email-masked]>
Date: Sat, 21 Nov 2020 11:42:45 -0700

Listerati,

I’m curious what total advance you Spifire racers are using @3000-4000 RPM and up? 

I had someone in New Mexico swear that he runs 48 degrees @4000 RPM and backs down by 2 degrees until it doesn’t knock on WOT. I’m not sure I’m brave enough to run that much advance.

What say you list? What total advance are you running at what RPM. And what compression ratio?

I’m running 36 degrees total advance @ 3000 RPM for a 12.52 compression engine and that’s worked pretty good so far. But I’m always looking to get out of the corners faster yet pull hard in the straights sooo……??

Thanks
Bud Rolofson

Extreme Parts Racing (more than just a haircut)

71TR6 CC57365 (Good 6)
71 Spitfire MK IV Race Car #3
69 Spitfire MK III (back up FE engine/dinghy car)
93 Minnie Winnie Race Support Vehicle 
77 Z-50A Hardly Davidson Honda Mini-Trail Bike (Triumph Pit Bike)

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]